GRUB-SETUP(8)

NAME
grub-setup - set up a device to boot using GRUB

SYNOPSIS
grub-sparc64-setup [OPTION...] DEVICE

DESCRIPTION
Set up images to boot from DEVICE.

You should not normally run this program directly. Use grub-install instead.

-a, --allow-floppy
    make the drive also bootable as floppy (default for fdX devices). May break on some BIOSes.

-b, --boot-image=FILE
    use FILE as the boot image [default=boot.img]

-c, --core-image=FILE
    use FILE as the core image [default=core.img]

-d, --directory=DIR
    use GRUB files in the directory DIR [default=/boot/grub]

-f, --force
    install even if problems are detected

-m, --device-map=FILE
    use FILE as the device map [default=/boot/grub/device.map]

-s, --skip-fs-probe
    do not probe for filesystems in DEVICE

-v, --verbose
    print verbose messages.

-?, --help
    give this help list

--usage
    give a short usage message

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

DEVICE must be an OS device (e.g. /dev/sda).

REPORTING BUGS
Report bugs to <bug-grub@gnu.org>.

SEE ALSO
grub-install(8), grub-mkimage(1), grub-mkrescue(1)

The full documentation for grub-setup is maintained as a Texinfo manual. If the info and grub-setup programs are properly installed at your site, the command

    info grub-setup

should give you access to the complete manual.